Subject: Re: Re[2]: [PATCH] allow pg_current_logfile() execution under pg_monitor role

From: Nathan Bossart <[email-masked]>
Date: Wed, 14 Feb 2024 12:49:56 -0600

On Wed, Feb 14, 2024 at 01:45:31PM -0500, Tom Lane wrote:
> "Pavlo Golub" <[email-masked]> writes:
>> Oh, thanks! I forgot, indeed, to update docs and catalog version! My 
>> bad!
> 
> Docs, yes, but don't include catversion bumps in submitted patches.
> They'll just lead to merge problems when somebody else changes the
> current catversion.  We rely on the committer to remember to do this
> (which is an imperfect system, but...)

+1, I only included it in the patch I posted so that I didn't forget it...

-- 
Nathan Bossart
Amazon Web Services: https://aws.amazon.com